View Issue Details

IDProjectCategoryView StatusLast Update
0000498luatexluatex bugpublic2010-12-13 14:43
ReporterhhenkelAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.63.0 
Target Version0.70.0Fixed in Version0.65.0 
Summary0000498: \jobname jumble
DescriptionLuatex should create the \jobname and the PDF/DVI output file name
to be consistent with the used .tex input filename (from callback or
kpse). E. g., simple test file test.1.tex:

% test.1.tex
\jobname
\bye

                     pdftex luatex
----------------------------------------------------------
  Ok.:
Program call pdftex test.1.tex luatex test.1.tex
Input file opened test.1.tex test.1.tex
\jobname test.1 test.1
Output file opened test.1.pdf test.1.pdf
  Not Ok.:
Program call pdftex test.1 luatex test.1
Input file opened test.1.tex test.1.tex (ok.!)
\jobname test.1 test (wrong)
Output file opened test.1.pdf test.pdf (wrong)
TagsNo tags attached.

Activities

hhenkel

2010-10-12 00:20

manager  

README (771 bytes)
Luatex should create the \jobname and the PDF/DVI output file name
to be consistent with the used .tex input filename (from callback or
kpse). E. g., simple test file test.1.tex:

% test.1.tex
\jobname
\bye

                     pdftex              luatex
----------------------------------------------------------
  Ok.:
Program call         pdftex test.1.tex   luatex test.1.tex
Input file opened    test.1.tex          test.1.tex
\jobname             test.1              test.1
Output file opened   test.1.pdf          test.1.pdf
  Not Ok.:
Program call         pdftex test.1       luatex test.1
Input file opened    test.1.tex          test.1.tex (ok.!)
\jobname             test.1              test (wrong)
Output file opened   test.1.pdf          test.pdf (wrong)

README (771 bytes)

hhenkel

2010-10-12 00:21

manager   ~0000641

the tracker destroys Note formatting, unfortunately. See README file.

Taco

2010-11-29 15:51

administrator   ~0000697

fixed in commit 4012, by patching start_input() to reinitialize cur_name and cur_ext once fullnameoffile is known

Issue History

Date Modified Username Field Change
2010-10-11 23:58 hhenkel New Issue
2010-10-12 00:20 hhenkel File Added: README
2010-10-12 00:21 hhenkel Note Added: 0000641
2010-11-29 15:44 Taco Status new => assigned
2010-11-29 15:44 Taco Assigned To => Taco
2010-11-29 15:51 Taco Note Added: 0000697
2010-11-29 15:51 Taco Status assigned => resolved
2010-11-29 15:51 Taco Resolution open => fixed
2010-12-13 14:43 Taco Fixed in Version => 0.65.0
2010-12-13 14:43 Taco Status resolved => closed